#
# spec file for package radiusd-cistron (Version 1.6.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         radiusd-cistron
Summary:      Cistron Radius-Server
Version:      1.6.4
Release:      120
Copyright:    GPL
Group:        Networking/Daemons
Provides:     radiusd
Obsoletes:    cistron
Conflicts:    radiusd-livingston
Autoreqprov:  on
URL:          http://www.miquels.cistron.nl/radius/
Source:       %{name}-%{version}.tar.gz
Source1:      rcradiusd
Source2:      radiusd-pam
Source3:      rc.config.radiusd
Patch:        %{name}-%{version}.dif
Patch1:       radwho.diff
BuildRoot:    %{_tmppath}/%{name}-root

%description
A radiusd provides remote authentication and accounting.


This radiusd is based on the Livingston radius 1.16 and is mostly
compatible with Livingston 2.01.
There are more features, such as:


- Can limit max. number of simultaneous logins on a per-user basis!

- Multiple DEFAULT entries, that can optionally fall-through

- Deny/permit access based on huntgroup users dials into

- Set certain parameters (such as static IP address) based on huntgroup

- Extra "hints" file that can select SLIP/PPP/rlogin based on username pattern (Puser or user.ppp is PPP, plain "user" is rlogin etc)

- Can execute an external program when user has authenticated

- Can use `$INCLUDE filename' in users and dictionary files

- Can act as a proxy server, relaying requests to a remote server

- radwho and radlast commands

- Keeps a list of logged in users (radutmp file)

Authors:
--------
    Miquel van Smoorenburg <miquels@cistron.nl>

SuSE series: n

%prep
%setup -n radiusd-cistron-%{version} 
%patch -p1
%patch1
 

%build
cd src
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf \
$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
# binaries
install -d $RPM_BUILD_ROOT/usr/sbin/
install -d $RPM_BUILD_ROOT/usr/bin/
install -m 755 -s src/radiusd $RPM_BUILD_ROOT/usr/sbin/
install -m 755 -s src/radwho  $RPM_BUILD_ROOT/usr/bin/
install -m 755 -s src/raduse  $RPM_BUILD_ROOT/usr/bin/
install -m 755 -s src/radzap  $RPM_BUILD_ROOT/usr/bin/
install -m 755 -s src/radtest $RPM_BUILD_ROOT/usr/bin/
install -m 755    src/checkrad.pl $RPM_BUILD_ROOT/usr/sbin/checkrad
install -m 755 -s src/radlast $RPM_BUILD_ROOT/usr/bin/
# logs
install -d $RPM_BUILD_ROOT/var/log/
touch $RPM_BUILD_ROOT/var/log/radwatch.log
touch $RPM_BUILD_ROOT/var/log/radius.log
touch $RPM_BUILD_ROOT/var/log/radutmp
touch $RPM_BUILD_ROOT/var/log/radwtmp
install -d -m 700 $RPM_BUILD_ROOT/var/log/radacct
# configs
install -d -m 700 $RPM_BUILD_ROOT/etc/raddb
install -m 755 scripts/radwatch $RPM_BUILD_ROOT/usr/sbin/
install -m 600 raddb/clients $RPM_BUILD_ROOT/etc/raddb
install -m 600 raddb/dictionary $RPM_BUILD_ROOT/etc/raddb
install -m 600 raddb/dictionary.ascend $RPM_BUILD_ROOT/etc/raddb
install -m 600 raddb/dictionary.cisco $RPM_BUILD_ROOT/etc/raddb
install -m 600 raddb/dictionary.compat $RPM_BUILD_ROOT/etc/raddb
install -m 600 raddb/dictionary.livingston $RPM_BUILD_ROOT/etc/raddb
install -m 600 raddb/dictionary.shiva $RPM_BUILD_ROOT/etc/raddb
install -m 600 raddb/dictionary.tunnel $RPM_BUILD_ROOT/etc/raddb
install -m 600 raddb/dictionary.usr $RPM_BUILD_ROOT/etc/raddb
install -m 600 raddb/dictionary.versanet $RPM_BUILD_ROOT/etc/raddb
install -m 600 raddb/hints $RPM_BUILD_ROOT/etc/raddb
install -m 600 raddb/huntgroups $RPM_BUILD_ROOT/etc/raddb
install -m 644 raddb/naslist $RPM_BUILD_ROOT/etc/raddb
install -m 600 raddb/naspasswd $RPM_BUILD_ROOT/etc/raddb
install -m 600 raddb/realms $RPM_BUILD_ROOT/etc/raddb
install -m 600 raddb/users $RPM_BUILD_ROOT/etc/raddb
install -d     $RPM_BUILD_ROOT/etc/pam.d
install -m 644 $RPM_SOURCE_DIR/radiusd-pam $RPM_BUILD_ROOT/etc/pam.d/radius
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 $RPM_SOURCE_DIR/rc.config.radiusd $RPM_BUILD_ROOT/var/adm/fillup-templates
# rc
install -d -m 750 $RPM_BUILD_ROOT/etc/init.d
install -m 744 $RPM_SOURCE_DIR/rcradiusd $RPM_BUILD_ROOT/etc/init.d/radiusd
ln -sf ../../etc/init.d/radiusd $RPM_BUILD_ROOT/usr/sbin/rcradiusd
# docs
cd doc
install -d $RPM_BUILD_ROOT%{_mandir}/man8/
install -d $RPM_BUILD_ROOT%{_mandir}/man5/
cp radiusd.8 $RPM_BUILD_ROOT%{_mandir}/man8/
cp clients.5rad $RPM_BUILD_ROOT%{_mandir}/man5/
cp naslist.5rad $RPM_BUILD_ROOT%{_mandir}/man5/
cp builddbm.8rad $RPM_BUILD_ROOT%{_mandir}/man8/
# cp radlast.1 $RPM_BUILD_ROOT%{_mandir}/man1/
# cp radtest.1 $RPM_BUILD_ROOT%{_mandir}/man1/
# cp raduse.1 $RPM_BUILD_ROOT%{_mandir}/man1/
# cp radwatch.8 $RPM_BUILD_ROOT%{_mandir}/man8/
# cp radwho.1 $RPM_BUILD_ROOT%{_mandir}/man1/
# cp radzap.1 $RPM_BUILD_ROOT%{_mandir}/man1/

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.radiusd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.radiusd and"
  echo "update by hand."
fi                       
sbin/insserv etc/init.d/radiusd

%postun
sbin/insserv etc/init.d/

%files
%doc doc/README*
%doc doc/ChangeLog
%doc COPYRIGHT*
/usr/sbin/radiusd
/usr/sbin/checkrad
/usr/bin/radlast
/usr/bin/radtest
/usr/bin/raduse
/usr/bin/radzap
/usr/bin/radwho
/usr/sbin/radwatch
/var/adm/fillup-templates/rc.config.radiusd
%config /etc/init.d/radiusd
/usr/sbin/rcradiusd
/var/log/radwtmp
/var/log/radutmp
%doc %{_mandir}/man8/radiusd.8.gz
%doc %{_mandir}/man8/builddbm.8rad.gz
%doc %{_mandir}/man5/clients.5rad.gz
%doc %{_mandir}/man5/naslist.5rad.gz
# %doc %{_mandir}/man1/radlast.1.gz
# %doc %{_mandir}/man1/radtest.1.gz
# %doc %{_mandir}/man1/raduse.1.gz
# %doc %{_mandir}/man8/radwatch.8.gz
# %doc %{_mandir}/man1/radwho.1.gz
# %doc %{_mandir}/man1/radzap.1.gz
%dir /var/log/radacct
%dir /etc/raddb
%config /etc/pam.d/radius
%config /etc/raddb/dictionary
%config /etc/raddb/dictionary.ascend
%config /etc/raddb/dictionary.cisco
%config /etc/raddb/dictionary.compat
%config /etc/raddb/dictionary.livingston
%config /etc/raddb/dictionary.shiva
%config /etc/raddb/dictionary.tunnel
%config /etc/raddb/dictionary.usr
%config /etc/raddb/dictionary.versanet
%config(noreplace) /etc/raddb/users
%config(noreplace) /etc/raddb/clients
%config(noreplace) /etc/raddb/hints
%config(noreplace) /etc/raddb/huntgroups
%config(noreplace) /etc/raddb/naslist
%config(noreplace) /etc/raddb/naspasswd
%config(noreplace) /etc/raddb/realms
%ghost /var/log/radius.log
%ghost /var/log/radwatch.log

%changelog -n radiusd-cistron
* Mon Jul 09 2001 - stark@suse.de
- fixed #ifdef in lib-functions
* Mon Jun 18 2001 - stark@suse.de
- removed absolute paths from pam-config
* Fri Apr 27 2001 - stark@suse.de
- minor changes in init-script 'status'
* Tue Apr 17 2001 - stark@suse.de
- rc-script cleanup: try-restart and reload exitcodes
* Wed Mar 21 2001 - stark@suse.de
- replaced start- and killproc to start radwatch
  to avoid trouble using Kernel 2.4
* Tue Jan 16 2001 - stark@suse.de
- moved SuSE init and config stuff out of *.dif
* Thu Jan 04 2001 - stark@suse.de
- minor changes in spec-file and rc-script (insserv-macros)
* Thu Dec 14 2000 - stark@suse.de
- added Conflicts: radiusd-livingston
* Mon Nov 27 2000 - stark@suse.de
- another change to fit the new boot concept
  (/sbin/init.d -> /etc/init.d)
* Thu Nov 23 2000 - stark@suse.de
- LSB compliant initscript
* Wed Nov 22 2000 - stark@suse.de
- improved runlevel settings
* Tue Nov 21 2000 - stark@suse.de
- removed runlevel-links from spec-file and moved to insserv
- added init information to rc-script
* Mon Nov 13 2000 - stark@suse.de
- changed package name: cistron -> radiusd-cistron
* Wed Nov 08 2000 - stark@suse.de
- fixed bug in rc-script
* Thu Oct 19 2000 - stark@suse.de
- added config-check in rc-script
* Wed Oct 18 2000 - stark@suse.de
- added /usr/bin/radtest
* Wed Oct 18 2000 - stark@suse.de
- rc-script use /etc/rc.status
* Tue Sep 05 2000 - stark@suse.de
- added RPM_OPT_FLAGS to CFLAGS
* Mon Sep 04 2000 - stark@suse.de
- Update to version 1.6.4
* Tue May 23 2000 - stark@suse.de
- made /sbin/init.d/radiusd -> %%config
* Wed May 17 2000 - stark@suse.de
- changed permissions /sbin/init.d/ to fit SuSEcheck
- minor changes in pathnames, because of used macros
* Mon Apr 17 2000 - stark@suse.de
- fixed parameter in radwatch
* Thu Apr 13 2000 - stark@suse.de
- Update to Version 1.6.3-STABLE
- modified SPEC to use BuildRoot and MANDIR
* Thu Mar 23 2000 - stark@suse.de
- changed mode for /etc/raddb/naslist to use radwho as normal user
* Thu Mar 23 2000 - stark@suse.de
- use kill -HUP for reload service
* Tue Mar 14 2000 - stark@suse.de
- fixed rcradiusd
* Sun Mar 12 2000 - stark@suse.de
- added man-pages
- changed filename /etc/pam.d/radius
* Mon Mar 06 2000 - stark@suse.de
- deleted conflicts from spec-file
* Sat Feb 26 2000 - stark@suse.de
- /var/log/radutmp and /var/log/radwtmp is now touched by rpm
- removed "touch /var/log/radutmp" from rcradiusd
* Fri Feb 25 2000 - stark@suse.de
- changed pathnames in Makefile and radwatch
- changed Make.inc for using PAM
- added radiusd-pam for SuSE
